#include <stdio.h>
#include <conio.h>
#include <ctype.h>
#include <time.h>
#include <stdlib.h>
#include <string.h>
#include <dos.h>
#include <stdarg.h>
#include <alloc.h>
#include <io.h>


/* Convert will read in a debug file a write in in a new format */

#include "sports.h"

struct oldgame {
	char sport[2];
	struct date day;
	int visitteam;
	int hometeam;

	int visitscore;
	int homescore;
	int status;		/* 0=Not Started , >90 special */
	int remain;		/* Time remaining 0=Na, second othwerwise */
	int ticker;		/* Changed enough to show in ticker box? */

	char visitpitch[PLEN];
	char homepitch[PLEN];

	char visitcpitch[PLEN];		/* Confirmed Pitchers */
	char homecpitch[PLEN];

	int confirmed;			/* Did we ever confirm */
	char comment[CLEN];		/* Game situation */

	int seq;
	char box;			/* Box number N=National,A=American */
	char time[TLEN];		/* Time of game */
	char visitline[LLEN];        /* All lines, 0 is defailt */
	char homeline[LLEN];
	char overunder[LLEN];
	char dummy[26];		   	/* Holding for future use */
	};

struct oldgame oldgames[100];
struct game newgames[100];

unsigned gamecount;


void debugload(char *filename) {
	FILE *f;
	f=fopen(filename,"rb");
	if (f) gamecount=fread(oldgames,sizeof(struct oldgame),GAMECOUNT,f);
	fclose(f);
	}

void debugdump(char *filename) {
	FILE *f;
	remove(filename);
	f=fopen(filename,"wb");
	fwrite(newgames,sizeof(struct game),gamecount,f);
	fclose(f);
	}

void main(void) {
	int loop;
	debugload("DEBUG.DAT");
	for(loop=0;loop<gamecount;loop++) {
		struct game *g=newgames+loop;
		struct oldgame *o=oldgames+loop;
		memcpy( g , o , sizeof( struct game ) );
		strncpy( g->lines[0].homeline , o->homeline , LLEN );
		strncpy( g->lines[0].visitline , o->visitline , LLEN );
		g->lines[1].homeline[0]=0x00;
		g->lines[1].visitline[0]=0x00;
		g->lines[2].homeline[0]=0x00;
		g->lines[2].visitline[0]=0x00;
		g->lines[3].homeline[0]=0x00;
		g->lines[3].visitline[0]=0x00;
		}
	debugdump("NEWBUG.DAT");
	}

