#include <conio.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

void xlate( char *d , const char *s , int len ) {
	while (*s && len--) {
		if (isalpha(*s) || isdigit(*s)) {
			*(d++)=*s;
			}
		s++;
		}
        if (len) *d=0x00;
	}

int main(int argc, char **argv) {
	FILE *f;
	char key[40];
	cprintf("******* LOOKUP, By Joshua Levine, March 5, 1993\n\r");
	if (argc<2 || argc>3) {
		cprintf("Usage: LOOKUP filename [key]\n\r");
		cprintf("Where: filename is the file that contains key-password pairs in the format\n\r");
		cprintf("       12345678 PASSWORD\n\r");
		cprintf("       and key is the key to look for. If key is not specified, it will be\n\r");
		cprintf("       prompted for.\n\r");
		cprintf("\n\rKey filtered for non alphanumeric chars\n\r");
		cprintf("Return: 0=Key Found!\n\r");
		cprintf("        1=Key not found!\n\r");
		return(3);
		}
	if (argc==2) {
		char buffer[31];
		cprintf("KEY TO SEARCH FOR?");
		fgets(buffer,30,stdin);
		xlate(key,strtok(buffer," \n"),30);
		}
	else {
		xlate(key,argv[2],30);
		key[30]=0x00;
		}

	cprintf("Searching for %s\r\n",key);

	f=fopen(argv[1],"rb");
	if (!f) {
		cprintf("COULD NOT OPEN %s\n\r",argv[1]);
		return(1);
		}
	while (!feof(f)) {
		char buffer[81];
		char *s;
		fgets(buffer,80,f);
		s=strtok(buffer," \n");
		if (s && !strcmp(s,key) ) {
			s=strtok(NULL," \n");
			printf("%s\n",s);
			fclose(f);
			return(0);
			}
		}
	cprintf("Key Not Found!\n\r");
	fclose(f);
	return(2);
	}
