
/* findfirst and findnext example */

#include <stdio.h>
#include <dir.h>
#include <dos.h>
#include <conio.h>
#include <stdlib.h>

int main(int argc, char *argv[] )
{
   struct ffblk ffblk;
   int done=0;
   unsigned count=0;
   long size;
   long x=0;
   cprintf("**** SIZER, Bu Joshua M. Levine, (c)1992\n\r");
   if (argc!=3) {
	cprintf("Usage:  SIZER filemask size\n\r");
	cprintf("Where:  filemask tells what files to match (*.BAK, JOS?.*)\n\r");
	cprintf("        size is the maximum amount of space\n\r");
	cprintf("Return: 0 if the file size of all matched files is less than SIZE\n\r");
	cprintf("        1 if the files take up more room than SIZE\n\r");
	return(0);
	}
   size= strtol( argv[2] , NULL , 10 );
   done = findfirst(argv[1],&ffblk,0);
   while (!done) {
      count++;
      cprintf(" %4u %20s %10ld\r", count, ffblk.ff_name, ffblk.ff_fsize );
      x += ffblk.ff_fsize;
      done = findnext(&ffblk);
   }
   cprintf("Matched %u - Total %ld Bytes - Size %ld Bytes - %s\n\r", count , x , size , (x>size)?"EXCEEDED":"FITS");
   return( (x>size)?1:0 );
}
