
#define CRSTR "\n"			/* Defines a Carrage Return on Beeper */
#define CR    '\n'

void error( const char *s , ... );

void event( const char *s , ... );

void showgame( const struct game *g);

#define LLEN 8
#define PLEN 16
#define TLEN 5
#define CLEN 20

#define INDEXCOUNT	4

struct line {
	char value[LLEN];        	/* All lines, 0 is defailt */
	int flag;		     	/* !0 Means show a star, it changed */
	time_t when;			/* Last time updates in seconds time() */
	};

struct linepair {
	struct line visitline;
	struct line homeline;
	};

struct game {
	char sport[2];
	struct date day;
	int visitteam;
	int hometeam;

	int visitscore;
	int homescore;
	int status;		/* 0=Not Started , >90 special */
	int remain;		/* Time remaining 0=Na, second othwerwise */
	int ticker;		/* Changed enough to show in ticker box? */

	char visitpitch[PLEN];
	char homepitch[PLEN];

	char visitcpitch[PLEN];		/* Confirmed Pitchers */
	char homecpitch[PLEN];

	int confirmed;			/* Did we ever confirm */
	char comment[CLEN];		/* Game situation */

	int seq;
	char box;			/* Box number N=National,A=American */
	char time[TLEN];		/* Time of game */
	struct linepair lines[INDEXCOUNT];	/* Lines from each hotel */

	struct linepair openline;	      /* Fist line from selected hotel */

	int openvisitlineset;		// Is the openline currently set?
	int openhomelineset;			// was openvisilineset, use for next thing

	time_t when;			/* When did this game status last change? */

        int suppress;			/* Suppress this game in future and lines? */

	int cookie;		   	/* Make sure it's ok */


	};

#define GAMECOUNT 175

extern struct game *games;

extern unsigned gamecount;

int gamecmp( const struct game *x , const struct game *y );

void *binsert(const void *key, void *base, size_t *num, size_t width, int (*fcmp)(const void *, const void *));

void blankgame( struct game *h );	/* Blanks out all non key fields */

struct game *findgame( const struct game *g , struct game *base , int count ); /* Find based on sports,date,teams */

#define PAGELIMIT 	870		/* After this we start a new page */

#define LINELIMIT	21		/* Number of chars per line */

#define FINALLIMIT	900		/* Max len of a B_Final box before breaking */

#define INJLIMIT 	900		/* We start new injury page */

extern struct date today;

void donews( const char *b ) ;

/************ Lines **************/



#define LTLEN 25

struct lineteam {
	char name[LTLEN];
	char sport[2];
	int n;
	int n2;
	};

#define LINETIMELEN 10

extern char linetime[LINETIMELEN];

void dolines( const char *instring );

int initlines(const char *filename);

void killlines(void);

struct lineteam *findlineteam( const char *name, const char *sport );

void doinjury( const char *b );

#define WTLIMIT 850			/* We start a new page after 500 chars */

void doweather( const char *x );

#define TEAMLEN	20
#define SHORTTEAMLEN 4

/* extern char teams[1000][TEAMLEN+1];	        There are only 3 digits for team, so 1000 will do it */
void strtrans( char *a , const char *b , const char *c);	/* Translates all inst of b in a into c */

extern char *c1str;		/* These are the two copyrite lines */
extern char *c2str;		/* That can be suppressed */

#define C1STR1 "     (c)1997 SBI"
#define C2STR1 " Info: 212-425-8888"

#define C1STR2 "    The Ultimate"
#define C2STR2 "    Sports Pager"

void parseoddmessage( const char *m );		/* In podd.c */

void parselines( const char *s );		/* In lines.c */

void savelog( const char *fname , const char *s );

int template( const char *s , const char *d );	/* Does S match D where d looks like "##/###/!!/!!" ? */

int axtoi( const char *s , int len );		/* Get a number of maximum len */

