
#include <alloc.h>
#include <time.h>
#include <limits.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <dos.h>

#include "sports.h"

#define INJBUFFMAX 200

const char *weekday[]= {
	"   Sunday",
	"   Monday",
	"  Tuesday",
	"  Wendsday",
	"  Thursday",
	"   Friday",
	"  Saturday"
	};

char injbuffer[INJBUFFMAX+1];

void doinjury( const char *x ) {
	char sportcode;
	char *sport;
	char fname[13];
	FILE *f=NULL;
	const char *s;				/* Step thru buffer */
	const char *w;				/* Remeber where the prev word starts */
	char team[20]="";
	int blen;
	char *b;
	int olen=INJLIMIT;			/* Char out to this page, Force a new page on first page */
	int page=0;
	int teamprinted=1;

	if (strncmp(x,"BC-A",4)) return;
	x+=4;
	sportcode=*x;
	x+=1;
	if (*x!='I') return;
	*team=0x00;

	if (sportcode=='A') {
		if (!strncmp(x,"I;NL",3)) sportcode='Y';
		else if (!strncmp(x,"I;AL",3)) sportcode='Z';
		}

	if (sportcode=='D') {		/* Ignore ALL hockey line */
		return;
		}

	if (sportcode=='C') {		/* Ignore REFRESH injuries, only show UPDATEd changes */
		if (strncmp( x , "I;NBA-INJURY-UPDATE", 17 )) return;
		}

	if (sportcode=='E') {		/* Ignore REFRESH injuries, only show UPDATEd changes */
		if (strncmp( x , "I;NCAA-INJURY-UPDATE", 17 )) return;
		}

	if (sportcode=='A') {		/* Ignore REFRESH injuries, only show UPDATEd changes */ 
		if (strncmp( x , "I;MLB-INJURY-UPDATE", 18 )) return;
		}

	switch (sportcode) {
		case 'A': sport="BASEBALL"; 		break;
		case 'B': sport="NFL FOOTBALL";		break;
		case 'C': sport="NBA BASKETBALL"; 	break;
		case 'D': sport="NHL HOCKEY";		break;
		case 'E': sport="COLL BASKETBALL";	break;
		case 'F': sport="COLL FOOTBALL";	break;
		case 'Y': sport="NATIONAL LEAGUE";	break;
		case 'Z': sport="AMERICAN LEAGUE";	break;
		default: return;
		}

	*fname=0x00;
	s=x;
	w=NULL;
	while (*s) {

		if (!strncmp(s, "\r   ",4)) {
			blen=0;
			s++;
			while (*s && *s==' ') s++;
			if (!isalpha(*s)) continue;
			b=team;
			while (*s && *s!='-' && *s!='\r') {
				if (blen<19) {
					*b=*s;
					blen++;
					b++;
					}
				s++;
				}
			if (*s=='-') {
				while (b!=team && *(b-1)==' ') b--;
				*b=0x00;
				}
			teamprinted=0;
			w= NULL;
			}
		else if (*s=='*') {
			s++;
			w=s;
			}
		else if (*s=='.') {
			if (w && *team) {	/* We found '*' and there has been a team */

				blen=0;
				b=injbuffer;

				while (w<=s) {
					char x;
					if (isspace(*w)) {
						x=' ';
						while (isspace(*w) && w<=s) w++;
						}
					else {
						x=*w++;
						}
					if (blen<INJBUFFMAX) {
						*b++=x;
						blen++;
						}
					}
				*b=0x00;

				if (olen+blen>=INJLIMIT) {
					if (f) {
						if (teamprinted) {
							fprintf(f,"(continues)");
							}
						fclose(f);
						}
					else {			/* First Page */
						char command[20];
						sprintf(command,"DEL B_INJURY.%c??",sportcode);
						system(command);
						}

					page++;
					sprintf(fname,"B_INJURY.%c%02d",sportcode,page);
					f=fopen(fname,"wb");
					if (!f) error("Could not open %s.",fname);
					olen=0;
					olen+=fprintf( f, "%-.16s",sport);
					olen+=fprintf( f, CRSTR);

					if (page==1) {
						time_t t;
						time(&t);
						olen+=fprintf(f,"%s Injuries", weekday[localtime(&t)->tm_wday] );
						olen+=fprintf(f,CRSTR);
						}
					else {
						olen+=fprintf(f,"   Injuries #%d",page);
						olen+=fprintf(f,CRSTR);
						}


					olen+=fprintf(f,c1str);
					olen+=fprintf(f,CRSTR);
					olen+=fprintf(f,c2str);
					olen+=fprintf(f,CRSTR);
					teamprinted=0;
					}

				if (!teamprinted) {
					olen+=fprintf(f,"*%s",team);
					olen+=fprintf(f,CRSTR);
					teamprinted=1;
					}
				olen+=fprintf(f,"%s",injbuffer);
				olen+=fprintf(f,CRSTR);
				}
			w=NULL;
			s++;
			}
		else s++;
		}

	if (f) {
		fclose(f);
		}
	}