

#include <string.h>
#include <dos.h>
#include <conio.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <time.h>


void log( const char *s , ... ) {
	va_list ap;
	FILE *f;
	time_t t;
	char b[15];
	va_start(ap,s);
	f=fopen( "ODD.LOG" , "a");
	if (!f) {
		return;
		}
	time( &t );
	strftime( b, 14 , "%m/%d %H:%M" , localtime( &t ) );
	fprintf(  f, "%.14s - " , b );
	vfprintf( f , s , ap );
	fprintf(  f, "\r\n" );
	fclose(f);
	}


/****
Parse line message will try to pare out a .REF message containing lines
****/

static struct date today;

int datematch( const char *l ) {
	if ( l[0] != '(' ) 	return(0);
	if ( !isdigit( l[1] ) ) return(0);
	if ( !isdigit( l[2] ) ) return(0);
	if ( l[3] != '/' ) 	return(0);
	if ( !isdigit( l[4] ) ) return(0);
	if ( !isdigit( l[5] ) ) return(0);
	if ( l[6] != '/' ) 	return(0);
	if ( !isdigit( l[7] ) ) return(0);
	if ( !isdigit( l[8] ) ) return(0);
	if ( l[9] != ')' ) 	return(0);
	return(1);
	}

void dateset( struct date *d , const char *l ) {
	d->da_mon  = atoi( l+1 );
	d->da_day  = atoi( l+4 );
	d->da_year = atoi( l+7 ) + 1900;

	log( "SET DATE-%d/%d/%d" , d->da_mon , d->da_day , d->da_year );

	}

int dateline( struct date *d , const char *l ) {		/* (99/99/99) */

	int len=strlen( l );


	/* _(12/34/56)_ len=12
	   012345678901	len =11

	*/

	while ( len && isspace( l[len-1] ) ) {
		len--;
		}


	if (len>=10) {
		if (datematch( l-10+len )) {
			dateset( d , l-10+len );
			return(1);
			}
		}

	return(0);
	}


void parseoddline( const char *l  ) {

	log( "ParseOddLine:>%s<\r\n",l);

	if (dateline(&today,l)) {
		return;
		}

	}

void parseoddmessage( const char *m ) {

	char line[81];

	char *d;

	int len;

	today.da_year = 0;

	d= line;
	len = 0;

	log( "ParseOddCalled-%s\r\n",m);

	while (*m) {

		if ( *m == '\r' || *m=='\n' ) {
			*d=0x00;
			parseoddline( line );
			d = line;
			len = 0;
			}
		else {
			if (len<=80) {
				*d = *m;
				d++;
				len++;
				}
			}

		m++;

		};
	}