#include <conio.h>
#include <dos.h>
#include <stdlib.h>
#include <string.h>

int timecmp( const struct time *t1, const struct time *t2 ) {
	int x;
	x= t1->ti_hour - t2->ti_hour;
	if (x) return(x);
	x= t1->ti_min  - t2->ti_min;
	if (x) return(x);
	x= t1->ti_sec  - t2->ti_sec;
	if (x) return(x);
	x= t1->ti_hund - t2->ti_hund;
	return(x);
	}

void parsetime( struct time *t , char *s ) {
	t->ti_hour=atoi(s);
	s=strchr(s,':');
	if (s) t->ti_min=atoi(s+1);
	else t->ti_min=0;
	t->ti_sec=t->ti_hund=0;
	}

int main( int argc, char **argv ) {
	struct time start;
	struct time end;
	struct time now;
	cprintf("*** TimeCmp, By Joshua Levine, (c)1993\n\r");
	if (argc!=3) {
		cprintf("Syntax: TIMECMP start end\n\r");
		cprintf("Where:  start is the start time as hh[:mm]\n\r");
		cprintf("        end is the end time as hh[:mm]\n\r");
		cprintf("Return: 1 if it is NOW between start and end\n\r");
		cprintf("        0 otherwise\n\r");
		cprintf("Ex:	 TIMECMP 6:00 18:00 would return 1 at 7:00, but not 20:00\n\r");
		cprintf("   	 TIMECMP 18:00 6:00 would return 1 at 20:00, but not 7:00\n\r");
		return(0);
		}
	parsetime( &start , argv[1] );
	parsetime( &end, argv[2] );
	gettime(&now);
	if ( timecmp( &start , &end ) > 0 ) {

		if ( timecmp( &now , &start ) <= 0 || timecmp( &end , &now ) >=0 ) return(1);

		}

	else {


		if ( timecmp( &start , &now ) <= 0 && timecmp( &now , &end ) <=0 ) return(1);

		}


	return(0);
	}
