#include <alloc.h>
#include <time.h>
#include <limits.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <dos.h>

#include <conio.h>

#include "sports.h"

void condensewth(char *s) {
	strtrans( s , "- "			, "-");
	strtrans( s , " A "			, " ");
	strtrans( s , " AT "			, " ");
	strtrans( s , " THE "			, " ");
	strtrans( s , "GAME-TIME TEMPERATURE: "	, "");
	strtrans( s , " M.P.H."			, "MPH");
	strtrans( s , " M.P.H"			, "MPH");
	strtrans( s , " DEGREES."		, "F");
	strtrans( s , " DEGREES"		, "F");
	strtrans( s , "NORTH"			, "N");
	strtrans( s , "SOUTH"			, "S");
	strtrans( s , "EAST"			, "E");
	strtrans( s , "WEST"			, "W");
	strtrans( s , " PERCENT"		, "%");
	strtrans( s , "-PERCENT"		, "%");
	strtrans( s, "CENTER FIELD"		, "CF");
	strtrans( s, "LEFT FIELD"		, "LF");
	strtrans( s, "RIGHT FIELD"		, "RF");
	strtrans( s, "LEFT"			, "L");
	strtrans( s, "RIGHT"			, "R");
	strtrans( s, " BLOWING"			, "");
	}

#define LTSAVE 19		/* Number of Sig letters in teamname, incl spaces. 19 saves 1 for '*' */

#define WTBUFFMAX 500

char wtbuff[WTBUFFMAX+1];

#define WAIT 	0		/* Waiting for a carrage return */
#define GOTCR   1		/* Scanning the leading spaces */
#define GOTT1	2		/* Reading first alphas on a line */
#define GOTT2	3		/* Assigned T1, got AT, now reading alphas */
#define CR1	4		/* Assigned T2, Skiping to end of line */
#define CR2	5		/* Skiping "------" line */
#define READING	6		/* Reading in body of text */
#define GOTPAR1 7		/* Got a parenthisis in Team 1, just wait for AT */

void strtrans( char *a , const char *b , const char *c) {	/* Translates all inst of b in a into c */
	char *x;
	int l=strlen(b);
	x=a;
	while (*a) {
		if (!strnicmp(a,b,l)) {
			const char *y=c;
			while (*y) {
				*(x++)=*(y++);
				}
			a+=l;
			}
		else {
			*(x++)=*(a++);
			}
		}
	*x=0x00;
	}

void doweather( const char *x ) {
	char sportcode[2];
	char *sport;
	char fname[13];
	FILE *f=NULL;
	const char *s;				/* Step thru buffer */
	int state=WAIT;
	int space=0;				/* Last char a space? */
	char team[LTSAVE+1]="";
	int len;
	int blen;
	int olen=WTLIMIT;			/* Char out to this page, Force a new page on first page */
	int page=0;

	if (strncmp(x,"BC-A",4)) return;
	x+=3;
	sportcode[0]=*x++;
	sportcode[1]=*x++;
	if (*x!='W') return;

	switch (sportcode[1]) {
		case 'A': sport="BASEBALL"; 		break;
		case 'B': sport="NFL FOOTBALL";		break;
		case 'C': sport="NBA BASKETBALL"; 	break;
		case 'D': sport="NHL HOCKEY";		break;
		case 'E': sport="COLL BASKETBALL";	break;
		case 'F': sport="COLL FOOTBALL";	break;
		default: return;
		}

	*fname=0x00;
	s=x;
	while (*s) {
		switch (state) {
			case WAIT:
				if (*s=='\r') {
					state=GOTT1;
					}
				s++;
				break;

			case GOTCR:
				if (isalpha(*s)) {
					state=GOTT1;
					len=0;
					}
				else if (*s=='(') {
					state=GOTPAR1;
					}
				else if (*s!=' ') {
					state=WAIT;
					}
				else s++;
				break;

			case GOTPAR1:
				if (isalpha(*s)) {
					state=GOTT1;
					len=0;
					}
				else if (!isdigit(*s) && !strchr( " )" , *s ) ) {
					state = WAIT;
					}
				break;

			case GOTT1:
				if (!strnicmp(s," AT ",4)) {
					len=0;
					state=GOTT2;
					s+=4;
					}
				else if (isalnum(*s) || strchr( " \'.()" , *s ) ) {	/* ST. Louis Cards */
					s++;
					}
				else {
					state=WAIT;
					}
				break;


			case GOTT2:
				if (*s==',') {		/* (Game 1) of doublle header */
					team[len]=0x00;
					strupr(team);
					state=CR1;
					}
				else if (isalnum(*s) || *s==' ' || *s=='.') {	/* ST. LOUIS CARNALS */
					if (len<LTSAVE) team[len++]=*s;
					s++;
					}
				else {
					state=WAIT;
					}
				break;

			case CR1:					/* Skip to next line */
				if (*s=='\r') {
					state=CR2;
					}
				s++;
				break;
			case CR2:					/* Skip the ---------- */
				if (*s=='\r') {
					s++;
					len=0;
					state=READING;
					space=1;
					}
				else if (*s!=' ' && *s!='-') {
					state=WAIT;
					}
				else s++;
				break;

			case READING:
				if (!strncmp(s,"\r \r",3)) {
					s+=3; 			// changed 4/20/04
					wtbuff[len]=0x00;
					condensewth(wtbuff);
					blen=20+strlen(wtbuff);			/* 20= Intro Line, must use strlen because condense changes len */
					if (olen+blen>=WTLIMIT) {
						if (f) {
							fclose(f);
							}
						else {			/* First Page */
							char command[20];
							sprintf(command,"DEL B_WEATH.%c??",sportcode[1]);
							system(command);
							}

						page++;
						sprintf(fname,"B_WEATH.%c%02d",sportcode[1],page);
						f=fopen(fname,"wb");
						if (!f) error("Could not open %s.",fname);
						olen=0;
						olen+=fprintf( f, "%-.16s",sport);
						olen+=fprintf(f,CRSTR);

						if (page==1) {
							struct time t;
							char *ampm;
							gettime(&t); /*  --------------------   */
							if (t.ti_hour<12 && t.ti_hour!=24) ampm="am";
							else ampm="pm";
							if (t.ti_hour>12) t.ti_hour-=12;
							olen+=fprintf(f,"    Weather-%d%s",t.ti_hour,ampm);
							}
						else {
							olen+=fprintf(f,"     Weather #%d",page);
							}
						olen+=fprintf(f,CRSTR);

						olen+=fprintf(f,c1str);
						olen+=fprintf(f,CRSTR);
						olen+=fprintf(f,c2str);
						olen+=fprintf(f,CRSTR);
						}

					olen+=fprintf(f,"*%s",team);
					olen+=fprintf(f,CRSTR);
					olen+=fprintf(f,"%s",wtbuff);
					olen+=fprintf(f,CRSTR);
					state=WAIT;
					}
				else {
					if (len<WTBUFFMAX) {
						if (isspace(*s)) {
							if (!space) {
								wtbuff[len++]=' ';
								space=1;
								}
							}
						else {
							wtbuff[len++]=*s;
							space=0;
							}
						}
					s++;
					}
				break;


			}
		}
	if (f) fclose(f);
	}
